Asana
Connect to Asana to manage tasks, projects, teams, goals, portfolios, and workspaces.
认证方式
| 方式 | 底层类型 | 状态 | 说明 |
|---|---|---|---|
| OAuth 2.0 | oauth2 | available | — |
调用示例
import { createClient } from "@open-connector/sdk";const oc = createClient({ baseUrl: "https://api.openconnector.dev", apiKey: process.env.OPEN_CONNECTOR_API_KEY!,});const result = await oc.executeTool({ slug: "ASANA_ADD_CUSTOM_FIELD_SETTING_FOR_GOAL", connectedAccountId: "conn_...", arguments: { /* match this tool's input schema */ },});import Composio from "@composio/client";const composio = new Composio({ baseURL: "https://api.openconnector.dev/composio", apiKey: process.env.OPEN_CONNECTOR_API_KEY!,});const result = await composio.tools.execute("ASANA_ADD_CUSTOM_FIELD_SETTING_FOR_GOAL", { connected_account_id: "conn_...", arguments: { /* match this tool's input schema */ },});oc tools execute ASANA_ADD_CUSTOM_FIELD_SETTING_FOR_GOAL --data '{ }'Tool 目录
可用 Tools
249 个可调用操作
Add a custom field to a goalASANA_ADD_CUSTOM_FIELD_SETTING_FOR_GOAL<b>Required scope: </b><code>goals:write</code> Custom fields are associated with goals by way of custom field settings. This method creates a setting for the goal.需要连接1 scope
<b>Required scope: </b><code>goals:write</code> Custom fields are associated with goals by way of custom field settings. This method creates a setting for the goal.
认证
需要 Connected AccountScopes
goals:writeTags
Add a custom field to a portfolioASANA_ADD_CUSTOM_FIELD_SETTING_FOR_PORTFOLIO<b>Required scope: </b><code>portfolios:write</code> Custom fields are associated with portfolios by way of custom field settings. This method creates a setting for the portfolio.需要连接1 scope
<b>Required scope: </b><code>portfolios:write</code> Custom fields are associated with portfolios by way of custom field settings. This method creates a setting for the portfolio.
认证
需要 Connected AccountScopes
portfolios:writeTags
Add a custom field to a projectASANA_ADD_CUSTOM_FIELD_SETTING_FOR_PROJECT<b>Required scope: </b><code>projects:write</code> Custom fields are associated with projects by way of custom field settings. This method creates a setting for the project.需要连接1 scope
<b>Required scope: </b><code>projects:write</code> Custom fields are associated with projects by way of custom field settings. This method creates a setting for the project.
认证
需要 Connected AccountScopes
projects:writeTags
Set dependencies for a taskASANA_ADD_DEPENDENCIES_FOR_TASK<b>Required scope: </b><code>tasks:write</code> Marks a set of tasks as dependencies of this task, if they are not already dependencies. *A task can have at most 30 dependents and dependencies combined*.需要连接1 scope
<b>Required scope: </b><code>tasks:write</code> Marks a set of tasks as dependencies of this task, if they are not already dependencies. *A task can have at most 30 dependents and dependencies combined*.
认证
需要 Connected AccountScopes
tasks:writeTags
Set dependents for a taskASANA_ADD_DEPENDENTS_FOR_TASK<b>Required scope: </b><code>tasks:write</code> Marks a set of tasks as dependents of this task, if they are not already dependents. *A task can have at most 30 dependents and dependencies combined*.需要连接1 scope
<b>Required scope: </b><code>tasks:write</code> Marks a set of tasks as dependents of this task, if they are not already dependents. *A task can have at most 30 dependents and dependencies combined*.
认证
需要 Connected AccountScopes
tasks:writeTags
Add a collaborator to a goalASANA_ADD_FOLLOWERSAdds followers to a goal. Returns the goal the followers were added to. Each goal can be associated with zero or more followers in the system. Requests to add/remove followers, if successful, will return the complete updated goal record, described above.需要连接
Adds followers to a goal. Returns the goal the followers were added to. Each goal can be associated with zero or more followers in the system. Requests to add/remove followers, if successful, will return the complete updated goal record, described above.
认证
需要 Connected AccountTags
Add followers to a projectASANA_ADD_FOLLOWERS_FOR_PROJECTAdds the specified list of users as followers to the project. Followers are a subset of members who have opted in to receive "tasks added" notifications for a project. Therefore, if the users are not already members of the project, they will also become members as a result of this operation. Returns the updated project record.需要连接
Adds the specified list of users as followers to the project. Followers are a subset of members who have opted in to receive "tasks added" notifications for a project. Therefore, if the users are not already members of the project, they will also become members as a result of this operation. Returns the updated project record.
认证
需要 Connected AccountTags
Add followers to a taskASANA_ADD_FOLLOWERS_FOR_TASK<b>Required scope: </b><code>tasks:write</code> Adds followers to a task. Returns an empty data block. Each task can be associated with zero or more followers in the system. Requests to add/remove followers, if successful, will return the complete updated task record, described above.需要连接1 scope
<b>Required scope: </b><code>tasks:write</code> Adds followers to a task. Returns an empty data block. Each task can be associated with zero or more followers in the system. Requests to add/remove followers, if successful, will return the complete updated task record, described above.
认证
需要 Connected AccountScopes
tasks:writeTags
Add a portfolio itemASANA_ADD_ITEM_FOR_PORTFOLIO<b>Required scope: </b><code>portfolios:write</code> Add an item to a portfolio. Returns an empty data block.需要连接1 scope
<b>Required scope: </b><code>portfolios:write</code> Add an item to a portfolio. Returns an empty data block.
认证
需要 Connected AccountScopes
portfolios:writeTags
Add users to a portfolioASANA_ADD_MEMBERS_FOR_PORTFOLIOAdds the specified list of users as members of the portfolio. Returns the updated portfolio record.需要连接
Adds the specified list of users as members of the portfolio. Returns the updated portfolio record.
认证
需要 Connected AccountTags
Add users to a projectASANA_ADD_MEMBERS_FOR_PROJECTAdds the specified list of users as members of the project. Note that a user being added as a member may also be added as a *follower* as a result of this operation. This is because the user's default notification settings (i.e., in the "Notifications" tab of "My Profile Settings") will override this endpoint's default behavior of setting "Tasks added" notifications to `false`. Returns the updated project record.需要连接
Adds the specified list of users as members of the project. Note that a user being added as a member may also be added as a *follower* as a result of this operation. This is because the user's default notification settings (i.e., in the "Notifications" tab of "My Profile Settings") will override this endpoint's default behavior of setting "Tasks added" notifications to `false`. Returns the updated project record.
认证
需要 Connected AccountTags
Add a project to a taskASANA_ADD_PROJECT_FOR_TASK<b>Required scope: </b><code>tasks:write</code> Adds the task to the specified project, in the optional location specified. If no location arguments are given, the task will be added to the end of the project. `addProject` can also be used to reorder a task within a project or section that already contains it. **Positioning the task:** - Use `insert_before` or `insert_after` with a task ID to position relative to another task - Use `section` alone to add the task to the end of a section - Use `section` with `insert_after: null` to add to the **beginning** of a section - Use `section` with `insert_before: null` to add to the **end** of a section - Use `section` with `insert_before` or `insert_after` (non-null) to position relative to a task within that section. The anchor task must be in the specified section. At most one of `insert_before` or `insert_after` should be specified (both cannot be used together). A task can have at most 20 projects multi-homed to it. Returns an empty data block.需要连接1 scope
<b>Required scope: </b><code>tasks:write</code> Adds the task to the specified project, in the optional location specified. If no location arguments are given, the task will be added to the end of the project. `addProject` can also be used to reorder a task within a project or section that already contains it. **Positioning the task:** - Use `insert_before` or `insert_after` with a task ID to position relative to another task - Use `section` alone to add the task to the end of a section - Use `section` with `insert_after: null` to add to the **beginning** of a section - Use `section` with `insert_before: null` to add to the **end** of a section - Use `section` with `insert_before` or `insert_after` (non-null) to position relative to a task within that section. The anchor task must be in the specified section. At most one of `insert_before` or `insert_after` should be specified (both cannot be used together). A task can have at most 20 projects multi-homed to it. Returns an empty data block.
认证
需要 Connected AccountScopes
tasks:writeTags
Add a supporting goal relationshipASANA_ADD_SUPPORTING_RELATIONSHIPCreates a goal relationship by adding a supporting resource to a given goal. Returns the newly created goal relationship record.需要连接
Creates a goal relationship by adding a supporting resource to a given goal. Returns the newly created goal relationship record.
认证
需要 Connected AccountTags
Add a tag to a taskASANA_ADD_TAG_FOR_TASK<b>Required scope: </b><code>tasks:write</code> Adds a tag to a task. Returns an empty data block.需要连接1 scope
<b>Required scope: </b><code>tasks:write</code> Adds a tag to a task. Returns an empty data block.
认证
需要 Connected AccountScopes
tasks:writeTags
Add task to sectionASANA_ADD_TASK_FOR_SECTION<b>Required scope: </b><code>tasks:write</code> Add a task to a specific, existing section. This will remove the task from other sections of the project. The task will be inserted at the top of a section unless an insert_before or insert_after parameter is declared. This does not work for separators (tasks with the resource_subtype of section).需要连接1 scope
<b>Required scope: </b><code>tasks:write</code> Add a task to a specific, existing section. This will remove the task from other sections of the project. The task will be inserted at the top of a section unless an insert_before or insert_after parameter is declared. This does not work for separators (tasks with the resource_subtype of section).
认证
需要 Connected AccountScopes
tasks:writeTags
Add a user to a teamASANA_ADD_USER_FOR_TEAMThe user making this call must be a member of the team in order to add others. The user being added must exist in the same organization as the team. Returns the complete team membership record for the newly added user.需要连接
The user making this call must be a member of the team in order to add others. The user being added must exist in the same organization as the team. Returns the complete team membership record for the newly added user.
认证
需要 Connected AccountTags
Add a user to a workspace or organizationASANA_ADD_USER_FOR_WORKSPACEAdd a user to a workspace or organization. The user can be referenced by their globally unique user ID or their email address. Returns the full user record for the invited user.需要连接
Add a user to a workspace or organization. The user can be referenced by their globally unique user ID or their email address. Returns the full user record for the invited user.
认证
需要 Connected AccountTags
Approve an access requestASANA_APPROVE_ACCESS_REQUESTApproves an access request for a target object.需要连接
Approves an access request for a target object.
认证
需要 Connected AccountTags
Create an access requestASANA_CREATE_ACCESS_REQUESTSubmits a new access request for a private object. Currently supports projects and portfolios.需要连接
Submits a new access request for a private object. Currently supports projects and portfolios.
认证
需要 Connected AccountTags
Create an allocationASANA_CREATE_ALLOCATIONCreates a new allocation. Returns the full record of the newly created allocation.需要连接
Creates a new allocation. Returns the full record of the newly created allocation.
认证
需要 Connected AccountTags
Upload an attachmentASANA_CREATE_ATTACHMENT_FOR_OBJECT<b>Required scope: </b><code>attachments:write</code> Upload an attachment. This method uploads an attachment on an object and returns the compact record for the created attachment object. This is possible by either: - Providing the URL of the external resource being attached, or - Downloading the file content first and then uploading it as any other attachment. Note that it is not possible to attach files from third party services such as Dropbox, Box, Vimeo & Google Drive via the API The 100MB size limit on attachments in Asana is enforced on this endpoint. This endpoint expects a multipart/form-data encoded request containing the full contents of the file to be uploaded. Requests made should follow the HTTP/1.1 specification that line terminators are of the form `CRLF` or `\r\n` outlined [here](http://www.w3.org/Protocols/HTTP/1.1/draft-ietf-http-v11-spec-01#Basic-Rules) in order for the server to reliably and properly handle the request. For file names that contain non-ASCII characters, the file name should be URL-encoded. For example, a file named `résumé.pdf` should be encoded as `r%C3%A9sum%C3%A9.pdf` and the `filename` parameter in the `Content-Disposition` header should be set to the encoded file name. Below is an example of a cURL request with the `Content-Disposition` header: ``` export ASANA_PAT="<YOUR_ASANA_PERSONAL_ACCESS_TOKEN>" export PARENT_ID="<PARENT_GID>" export ENCODED_NAME="r%C3%A9sum%C3%A9.pdf" curl --location 'https://app.asana.com/api/1.0/attachments' \ --header 'Content-Type: multipart/form-data' \ --header 'Accept: application/json' \ --header "Authorization: Bearer $ASANA_PAT" \ --form "parent=$PARENT_ID" \ --form "file=@/Users/exampleUser/Downloads/résumé.pdf;headers=\"Content-Disposition: form-data; name="file"; filename="$ENCODED_NAME.pdf"; filename*=UTF-8''$ENCODED_NAME.pdf\"" ```需要连接1 scope
<b>Required scope: </b><code>attachments:write</code> Upload an attachment. This method uploads an attachment on an object and returns the compact record for the created attachment object. This is possible by either: - Providing the URL of the external resource being attached, or - Downloading the file content first and then uploading it as any other attachment. Note that it is not possible to attach files from third party services such as Dropbox, Box, Vimeo & Google Drive via the API The 100MB size limit on attachments in Asana is enforced on this endpoint. This endpoint expects a multipart/form-data encoded request containing the full contents of the file to be uploaded. Requests made should follow the HTTP/1.1 specification that line terminators are of the form `CRLF` or `\r\n` outlined [here](http://www.w3.org/Protocols/HTTP/1.1/draft-ietf-http-v11-spec-01#Basic-Rules) in order for the server to reliably and properly handle the request. For file names that contain non-ASCII characters, the file name should be URL-encoded. For example, a file named `résumé.pdf` should be encoded as `r%C3%A9sum%C3%A9.pdf` and the `filename` parameter in the `Content-Disposition` header should be set to the encoded file name. Below is an example of a cURL request with the `Content-Disposition` header: ``` export ASANA_PAT="<YOUR_ASANA_PERSONAL_ACCESS_TOKEN>" export PARENT_ID="<PARENT_GID>" export ENCODED_NAME="r%C3%A9sum%C3%A9.pdf" curl --location 'https://app.asana.com/api/1.0/attachments' \ --header 'Content-Type: multipart/form-data' \ --header 'Accept: application/json' \ --header "Authorization: Bearer $ASANA_PAT" \ --form "parent=$PARENT_ID" \ --form "file=@/Users/exampleUser/Downloads/résumé.pdf;headers=\"Content-Disposition: form-data; name="file"; filename="$ENCODED_NAME.pdf"; filename*=UTF-8''$ENCODED_NAME.pdf\"" ```
认证
需要 Connected AccountScopes
attachments:writeTags
Submit parallel requestsASANA_CREATE_BATCH_REQUESTMake multiple requests in parallel to Asana's API.需要连接
Make multiple requests in parallel to Asana's API.
认证
需要 Connected AccountTags
Create a budgetASANA_CREATE_BUDGETCreates a new budget.需要连接
Creates a new budget.
认证
需要 Connected AccountTags
Create a custom fieldASANA_CREATE_CUSTOM_FIELD<b>Required scope: </b><code>custom_fields:write</code> Creates a new custom field in a workspace. Every custom field is required to be created in a specific workspace, and this workspace cannot be changed once set. A custom field’s name must be unique within a workspace and not conflict with names of existing task properties such as `Due Date` or `Assignee`. A custom field’s type must be one of `text`, `enum`, `multi_enum`, `number`, `date`, or `people`. Returns the full record of the newly created custom field.需要连接1 scope
<b>Required scope: </b><code>custom_fields:write</code> Creates a new custom field in a workspace. Every custom field is required to be created in a specific workspace, and this workspace cannot be changed once set. A custom field’s name must be unique within a workspace and not conflict with names of existing task properties such as `Due Date` or `Assignee`. A custom field’s type must be one of `text`, `enum`, `multi_enum`, `number`, `date`, or `people`. Returns the full record of the newly created custom field.
认证
需要 Connected AccountScopes
custom_fields:writeTags
Create an enum optionASANA_CREATE_ENUM_OPTION_FOR_CUSTOM_FIELD<b>Required scope: </b><code>custom_fields:write</code> Creates an enum option and adds it to this custom field’s list of enum options. A custom field can have at most 500 enum options (including disabled options). By default new enum options are inserted at the end of a custom field’s list. Locked custom fields can only have enum options added by the user who locked the field. Returns the full record of the newly created enum option.需要连接1 scope
<b>Required scope: </b><code>custom_fields:write</code> Creates an enum option and adds it to this custom field’s list of enum options. A custom field can have at most 500 enum options (including disabled options). By default new enum options are inserted at the end of a custom field’s list. Locked custom fields can only have enum options added by the user who locked the field. Returns the full record of the newly created enum option.
认证
需要 Connected AccountScopes
custom_fields:writeTags
Create a goalASANA_CREATE_GOALCreates a new goal in a workspace or team. Returns the full record of the newly created goal.需要连接
Creates a new goal in a workspace or team. Returns the full record of the newly created goal.
认证
需要 Connected AccountTags
Create a goal metricASANA_CREATE_GOAL_METRICCreates and adds a goal metric to a specified goal. Note that this replaces an existing goal metric if one already exists.需要连接
Creates and adds a goal metric to a specified goal. Note that this replaces an existing goal metric if one already exists.
认证
需要 Connected AccountTags
Initiate a graph exportASANA_CREATE_GRAPH_EXPORTInitiates a graph export job for a given parent object (goal, team, portfolio, or project). The export will be processed asynchronously. Once initiated, use the [jobs](/reference/getjob) endpoint to monitor progress. **Export Caching:** When exporting more than 1,000 tasks, the results are cached for 4 hours. Any new export requests made within this 4-hour window will return the same cached results rather than generating a fresh export.需要连接
Initiates a graph export job for a given parent object (goal, team, portfolio, or project). The export will be processed asynchronously. Once initiated, use the [jobs](/reference/getjob) endpoint to monitor progress. **Export Caching:** When exporting more than 1,000 tasks, the results are cached for 4 hours. Any new export requests made within this 4-hour window will return the same cached results rather than generating a fresh export.
认证
需要 Connected AccountTags
Create a membershipASANA_CREATE_MEMBERSHIPCreates a new membership in a `goal`, `project`, `portfolio`, `custom_type`, or `custom_field`, where members can be Teams or Users. Returns the full record of the newly created membership.需要连接
Creates a new membership in a `goal`, `project`, `portfolio`, `custom_type`, or `custom_field`, where members can be Teams or Users. Returns the full record of the newly created membership.
认证
需要 Connected AccountTags
Create an OOO entryASANA_CREATE_OOO_ENTRY<b>Required scope: </b><code>ooo_entries:write</code> Creates a new OOO entry. Returns the full record of the newly created OOO entry.需要连接1 scope
<b>Required scope: </b><code>ooo_entries:write</code> Creates a new OOO entry. Returns the full record of the newly created OOO entry.
认证
需要 Connected AccountScopes
ooo_entries:writeTags
Create an organization export requestASANA_CREATE_ORGANIZATION_EXPORTThis method creates a request to export an Organization. Asana will complete the export at some point after you create the request.需要连接
This method creates a request to export an Organization. Asana will complete the export at some point after you create the request.
认证
需要 Connected AccountTags
Create a portfolioASANA_CREATE_PORTFOLIO<b>Required scope: </b><code>portfolios:write</code> Creates a new portfolio in the given workspace with the supplied name. Note that portfolios created in the Asana UI may have some state (like the “Priority” custom field) which is automatically added to the portfolio when it is created. Portfolios created via our API will *not* be created with the same initial state to allow integrations to create their own starting state on a portfolio.需要连接1 scope
<b>Required scope: </b><code>portfolios:write</code> Creates a new portfolio in the given workspace with the supplied name. Note that portfolios created in the Asana UI may have some state (like the “Priority” custom field) which is automatically added to the portfolio when it is created. Portfolios created via our API will *not* be created with the same initial state to allow integrations to create their own starting state on a portfolio.
认证
需要 Connected AccountScopes
portfolios:writeTags
Create a projectASANA_CREATE_PROJECT<b>Required scope: </b><code>projects:write</code> Create a new project in a workspace or team. Every project is required to be created in a specific workspace or organization, and this cannot be changed once set. Note that you can use the `workspace` parameter regardless of whether or not it is an organization. If the workspace for your project is an organization, you must also supply a `team` to share the project with. Returns the full record of the newly created project. **Deprecation notice:** The `team` parameter and the `private_to_team` value for `privacy_setting` are deprecated. When either is included in the request, the `Asana-Change` response header will indicate an affected deprecation. Clients should switch to using `POST /memberships` with `{ parent: project, member: team }` to share a project with a team after creation.需要连接1 scope
<b>Required scope: </b><code>projects:write</code> Create a new project in a workspace or team. Every project is required to be created in a specific workspace or organization, and this cannot be changed once set. Note that you can use the `workspace` parameter regardless of whether or not it is an organization. If the workspace for your project is an organization, you must also supply a `team` to share the project with. Returns the full record of the newly created project. **Deprecation notice:** The `team` parameter and the `private_to_team` value for `privacy_setting` are deprecated. When either is included in the request, the `Asana-Change` response header will indicate an affected deprecation. Clients should switch to using `POST /memberships` with `{ parent: project, member: team }` to share a project with a team after creation.
认证
需要 Connected AccountScopes
projects:writeTags
Create a project briefASANA_CREATE_PROJECT_BRIEFCreates a new project brief. Returns the full record of the newly created project brief.需要连接
Creates a new project brief. Returns the full record of the newly created project brief.
认证
需要 Connected AccountTags
Create a project in a teamASANA_CREATE_PROJECT_FOR_TEAM<b>Required scope: </b><code>projects:write</code> Creates a project shared with the given team. Returns the full record of the newly created project.需要连接1 scope
<b>Required scope: </b><code>projects:write</code> Creates a project shared with the given team. Returns the full record of the newly created project.
认证
需要 Connected AccountScopes
projects:writeTags
Create a project in a workspaceASANA_CREATE_PROJECT_FOR_WORKSPACE<b>Required scope: </b><code>projects:write</code> Creates a project in the workspace. If the workspace for your project is an organization, you must also supply a team to share the project with. Returns the full record of the newly created project.需要连接1 scope
<b>Required scope: </b><code>projects:write</code> Creates a project in the workspace. If the workspace for your project is an organization, you must also supply a team to share the project with. Returns the full record of the newly created project.
认证
需要 Connected AccountScopes
projects:writeTags
Create a project statusASANA_CREATE_PROJECT_STATUS_FOR_PROJECT*Deprecated: new integrations should prefer the `/status_updates` route.* Creates a new status update on the project. Returns the full record of the newly created project status update.需要连接
*Deprecated: new integrations should prefer the `/status_updates` route.* Creates a new status update on the project. Returns the full record of the newly created project status update.
认证
需要 Connected AccountTags
Create a rateASANA_CREATE_RATECreates a new rate for a `parent` + `resource` combination.需要连接
Creates a new rate for a `parent` + `resource` combination.
认证
需要 Connected AccountTags
Initiate a resource exportASANA_CREATE_RESOURCE_EXPORTInitiates a bulk export of resources for a workspace. The export will be processed asynchronously. Once the export has been requested, its progress can be monitored using the [jobs](/reference/getjob) endpoint. ## Supported resource types This endpoint currently supports exporting tasks, teams and messages within a workspace. Resources can be requested to be part of the export by providing the `export_request_parameters` parameter. The following resource types are supported: ### Tasks: Tasks are formatted for exports with some differences from their documented [schema](/reference/tasks): - `attachments` are included by default and returns an array of associated attachments. - Attachment objects do not include `download_url` or `view_url`. The `attachments` [endpoint](/reference/attachment) should be queried for up-to-date URLs. - `stories` are included by default and returns an array of comments and other changes made to a task ### Teams: Teams are formatted for exports with these differences from their documented [schema](/reference/teams): - `members` are included by default and returns an array of Users that are members of the team - Filtering is not supported for teams. ### Messages: The returned schema encompasses both default messages and status updates and is similar to the status update schema. The available fields for messages are: - `gid` - The globally unique identifier for the message. - `resource_type` - The type of resource, which is always "message". - `resource_subtype` - Optional. The subtype of the message, which can be "default" or "status_update". - `status_type` - The type associated with the status update. This can be one of: “on_track”, “at_risk”, “off_track”, “on_hold”, “complete”, “achieved”, “partial”, “missed”, “dropped” - `created_by` - The user who created the message. - `created_at` - The time at which this resource was created and sent available to other users. - `modified_at` - The time at which this resource was last modified. - `title` - The title of the message. - `text` - The text content of the message. - `html_notes` - The text content of the message with formatting as HTML. Not included by default. Can be included by using “fields” in the initial request. - `num_likes` - The number of users who have liked this message. - `likes` - An array of users who have liked this message. - `stories` - Optional. Array of stories applied to the message. - `attachments` - Optional. Array of attachments added to the message. - `followers` - Optional. Array of users currently following the message. Users that were sent the message are treated as followers. - `parents` - Array of objects the message was sent to. Can be a Project, Portfolio, Team or Goal. Limited to a single object for status updates. ## Export file The final export file will be in JSON Lines format and compressed in a gzip container. Objects are formatted according to their corresponding API schema, or limited to the fields included in the `fields` parameter. Exports currently include undeleted objects. An object in the export will be up to date anywhere between the exports `created_at` and `completed_at`. There is no guaranteed ordering of objects in the export. Access to the export file expires 30 days after its completion. ## Exporting specific fields By default, each object in an export includes a predefined set of fields based on its schema. If a more limited set of fields or fields not included by default are required, the Export API allows for specifying which fields to include in the requested export. Fields can be specified using the `fields` parameter. The fields parameter conforms to the fields optional parameter available for all Asana endpoints which is documented [here](https://developers.asana.com/docs/inputoutput-options). Utilizing the `fields` parameter is recommended if the full object is not required, especially when a large number of objects are being exported, to reduce the overall export time. ## Filtering resources A disjunction of two or more filters can be achieved by providing multiple `export_request_parameters` for the same resource, each with different filters. However, this approach may result in duplicate resources being returned. ## Rate Limits A workspace is currently limited to *one* in progress export request at a given time. The request will return with a 403 Forbidden status code if the limit is exceeded.需要连接
Initiates a bulk export of resources for a workspace. The export will be processed asynchronously. Once the export has been requested, its progress can be monitored using the [jobs](/reference/getjob) endpoint. ## Supported resource types This endpoint currently supports exporting tasks, teams and messages within a workspace. Resources can be requested to be part of the export by providing the `export_request_parameters` parameter. The following resource types are supported: ### Tasks: Tasks are formatted for exports with some differences from their documented [schema](/reference/tasks): - `attachments` are included by default and returns an array of associated attachments. - Attachment objects do not include `download_url` or `view_url`. The `attachments` [endpoint](/reference/attachment) should be queried for up-to-date URLs. - `stories` are included by default and returns an array of comments and other changes made to a task ### Teams: Teams are formatted for exports with these differences from their documented [schema](/reference/teams): - `members` are included by default and returns an array of Users that are members of the team - Filtering is not supported for teams. ### Messages: The returned schema encompasses both default messages and status updates and is similar to the status update schema. The available fields for messages are: - `gid` - The globally unique identifier for the message. - `resource_type` - The type of resource, which is always "message". - `resource_subtype` - Optional. The subtype of the message, which can be "default" or "status_update". - `status_type` - The type associated with the status update. This can be one of: “on_track”, “at_risk”, “off_track”, “on_hold”, “complete”, “achieved”, “partial”, “missed”, “dropped” - `created_by` - The user who created the message. - `created_at` - The time at which this resource was created and sent available to other users. - `modified_at` - The time at which this resource was last modified. - `title` - The title of the message. - `text` - The text content of the message. - `html_notes` - The text content of the message with formatting as HTML. Not included by default. Can be included by using “fields” in the initial request. - `num_likes` - The number of users who have liked this message. - `likes` - An array of users who have liked this message. - `stories` - Optional. Array of stories applied to the message. - `attachments` - Optional. Array of attachments added to the message. - `followers` - Optional. Array of users currently following the message. Users that were sent the message are treated as followers. - `parents` - Array of objects the message was sent to. Can be a Project, Portfolio, Team or Goal. Limited to a single object for status updates. ## Export file The final export file will be in JSON Lines format and compressed in a gzip container. Objects are formatted according to their corresponding API schema, or limited to the fields included in the `fields` parameter. Exports currently include undeleted objects. An object in the export will be up to date anywhere between the exports `created_at` and `completed_at`. There is no guaranteed ordering of objects in the export. Access to the export file expires 30 days after its completion. ## Exporting specific fields By default, each object in an export includes a predefined set of fields based on its schema. If a more limited set of fields or fields not included by default are required, the Export API allows for specifying which fields to include in the requested export. Fields can be specified using the `fields` parameter. The fields parameter conforms to the fields optional parameter available for all Asana endpoints which is documented [here](https://developers.asana.com/docs/inputoutput-options). Utilizing the `fields` parameter is recommended if the full object is not required, especially when a large number of objects are being exported, to reduce the overall export time. ## Filtering resources A disjunction of two or more filters can be achieved by providing multiple `export_request_parameters` for the same resource, each with different filters. However, this approach may result in duplicate resources being returned. ## Rate Limits A workspace is currently limited to *one* in progress export request at a given time. The request will return with a 403 Forbidden status code if the limit is exceeded.
认证
需要 Connected AccountTags
Create a roleASANA_CREATE_ROLE<b>Required scope: </b><code>roles:write</code> Creates a new RBAC role in the workspace.需要连接1 scope
<b>Required scope: </b><code>roles:write</code> Creates a new RBAC role in the workspace.
认证
需要 Connected AccountScopes
roles:writeTags
Create a section in a projectASANA_CREATE_SECTION_FOR_PROJECTCreates a new section in a project. Returns the full record of the newly created section.需要连接
Creates a new section in a project. Returns the full record of the newly created section.
认证
需要 Connected AccountTags
Create a status updateASANA_CREATE_STATUS_FOR_OBJECTCreates a new status update on an object. Returns the full record of the newly created status update.需要连接
Creates a new status update on an object. Returns the full record of the newly created status update.
认证
需要 Connected AccountTags
Create a story on a goalASANA_CREATE_STORY_FOR_GOAL<b>Required scope: </b><code>stories:write</code> Adds a story to a goal. This endpoint currently only allows for comment stories to be created. The comment will be authored by the currently authenticated user, and timestamped when the server receives the request. Returns the full record for the new story added to the goal.需要连接1 scope
<b>Required scope: </b><code>stories:write</code> Adds a story to a goal. This endpoint currently only allows for comment stories to be created. The comment will be authored by the currently authenticated user, and timestamped when the server receives the request. Returns the full record for the new story added to the goal.
认证
需要 Connected AccountScopes
stories:writeTags
Create a story on a taskASANA_CREATE_STORY_FOR_TASK<b>Required scope: </b><code>stories:write</code> Adds a story to a task. This endpoint currently only allows for comment stories to be created. The comment will be authored by the currently authenticated user, and timestamped when the server receives the request. Returns the full record for the new story added to the task.需要连接1 scope
<b>Required scope: </b><code>stories:write</code> Adds a story to a task. This endpoint currently only allows for comment stories to be created. The comment will be authored by the currently authenticated user, and timestamped when the server receives the request. Returns the full record for the new story added to the task.
认证
需要 Connected AccountScopes
stories:writeTags
Create a subtaskASANA_CREATE_SUBTASK_FOR_TASK<b>Required scope: </b><code>tasks:write</code> Creates a new subtask and adds it to the parent task. Returns the full record for the newly created subtask.需要连接1 scope
<b>Required scope: </b><code>tasks:write</code> Creates a new subtask and adds it to the parent task. Returns the full record for the newly created subtask.
认证
需要 Connected AccountScopes
tasks:writeTags
Create a tagASANA_CREATE_TAG<b>Required scope: </b><code>tags:write</code> Creates a new tag in a workspace or organization. Every tag is required to be created in a specific workspace or organization, and this cannot be changed once set. Note that you can use the workspace parameter regardless of whether or not it is an organization. Returns the full record of the newly created tag.需要连接1 scope
<b>Required scope: </b><code>tags:write</code> Creates a new tag in a workspace or organization. Every tag is required to be created in a specific workspace or organization, and this cannot be changed once set. Note that you can use the workspace parameter regardless of whether or not it is an organization. Returns the full record of the newly created tag.
认证
需要 Connected AccountScopes
tags:writeTags
Create a tag in a workspaceASANA_CREATE_TAG_FOR_WORKSPACE<b>Required scope: </b><code>tags:write</code> Creates a new tag in a workspace or organization. Every tag is required to be created in a specific workspace or organization, and this cannot be changed once set. Note that you can use the workspace parameter regardless of whether or not it is an organization. Returns the full record of the newly created tag.需要连接1 scope
<b>Required scope: </b><code>tags:write</code> Creates a new tag in a workspace or organization. Every tag is required to be created in a specific workspace or organization, and this cannot be changed once set. Note that you can use the workspace parameter regardless of whether or not it is an organization. Returns the full record of the newly created tag.
认证
需要 Connected AccountScopes
tags:writeTags
Create a taskASANA_CREATE_TASK<b>Required scope: </b><code>tasks:write</code> Creating a new task is as easy as POSTing to the `/tasks` endpoint with a data block containing the fields you’d like to set on the task. Any unspecified fields will take on default values. Every task is required to be created in a specific workspace, and this workspace cannot be changed once set. The workspace need not be set explicitly if you specify `projects` or a `parent` task instead.需要连接1 scope
<b>Required scope: </b><code>tasks:write</code> Creating a new task is as easy as POSTing to the `/tasks` endpoint with a data block containing the fields you’d like to set on the task. Any unspecified fields will take on default values. Every task is required to be created in a specific workspace, and this workspace cannot be changed once set. The workspace need not be set explicitly if you specify `projects` or a `parent` task instead.
认证
需要 Connected AccountScopes
tasks:writeTags
Create a teamASANA_CREATE_TEAMCreates a team within the current workspace.需要连接
Creates a team within the current workspace.
认证
需要 Connected AccountTags
Create a time tracking categoryASANA_CREATE_TIME_TRACKING_CATEGORY<b>Required scope: </b><code>time_tracking_categories:write</code> Creates a new time tracking category in a given workspace. Returns the record of the newly created time tracking category.需要连接1 scope
<b>Required scope: </b><code>time_tracking_categories:write</code> Creates a new time tracking category in a given workspace. Returns the record of the newly created time tracking category.
认证
需要 Connected AccountScopes
time_tracking_categories:writeTags
Create a time tracking entryASANA_CREATE_TIME_TRACKING_ENTRYCreates a time tracking entry on a given task. Returns the record of the newly created time tracking entry. #### Access requirements Access to this endpoint has two levels: - **Endpoint access** requires time tracking to be available through the domain's plan or add-ons. A request from a domain without time tracking access returns a `402 Payment Required` error for every request to this endpoint. - **Field access** for some request fields requires the Timesheets and Budgets add-on. Fields with this requirement are noted in the request schema. Including one of these fields without the add-on returns a `402 Payment Required` error, even when the rest of the request is valid. Because the field-level requirement is separate, the same endpoint may return `201` or `402` for the same domain depending on which fields are sent: a request that only uses fields available with endpoint access succeeds on any domain that meets the endpoint requirement, while a request that includes a field requiring the add-on also requires the add-on.需要连接
Creates a time tracking entry on a given task. Returns the record of the newly created time tracking entry. #### Access requirements Access to this endpoint has two levels: - **Endpoint access** requires time tracking to be available through the domain's plan or add-ons. A request from a domain without time tracking access returns a `402 Payment Required` error for every request to this endpoint. - **Field access** for some request fields requires the Timesheets and Budgets add-on. Fields with this requirement are noted in the request schema. Including one of these fields without the add-on returns a `402 Payment Required` error, even when the rest of the request is valid. Because the field-level requirement is separate, the same endpoint may return `201` or `402` for the same domain depending on which fields are sent: a request that only uses fields available with endpoint access succeeds on any domain that meets the endpoint requirement, while a request that includes a field requiring the add-on also requires the add-on.
认证
需要 Connected AccountTags
Create a timesheet approval statusASANA_CREATE_TIMESHEET_APPROVAL_STATUS<b>Required scope: </b><code>timesheet_approval_statuses:write</code> Creates a new timesheet approval status for a user's timesheet week. The start_date must be a Monday or Sunday, and end_date must be the last day of that week (Sunday for a Monday start, Saturday for a Sunday start). Returns the created timesheet approval status record.需要连接1 scope
<b>Required scope: </b><code>timesheet_approval_statuses:write</code> Creates a new timesheet approval status for a user's timesheet week. The start_date must be a Monday or Sunday, and end_date must be the last day of that week (Sunday for a Monday start, Saturday for a Sunday start). Returns the created timesheet approval status record.
认证
需要 Connected AccountScopes
timesheet_approval_statuses:writeTags
Establish a webhookASANA_CREATE_WEBHOOK<b>Required scope: </b><code>webhooks:write</code> Establishing a webhook is a two-part process. First, a simple HTTP POST request initiates the creation similar to creating any other resource. Next, in the middle of this request comes the confirmation handshake. When a webhook is created, we will send a test POST to the target with an `X-Hook-Secret` header. The target must respond with a `200 OK` or `204 No Content` and a matching `X-Hook-Secret` header to confirm that this webhook subscription is indeed expected. We strongly recommend storing this secret to be used to verify future webhook event signatures. The POST request to create the webhook will then return with the status of the request. If you do not acknowledge the webhook’s confirmation handshake it will fail to setup, and you will receive an error in response to your attempt to create it. This means you need to be able to receive and complete the webhook *while* the POST request is in-flight (in other words, have a server that can handle requests asynchronously). Invalid hostnames like localhost will receive a 403 Forbidden status code. ``` # Request curl -H "Authorization: Bearer <personal_access_token>" \ -X POST https://app.asana.com/api/1.0/webhooks \ -d "resource=8675309" \ -d "target=https://example.com/receive-webhook/7654" ``` ``` # Handshake sent to https://example.com/ POST /receive-webhook/7654 X-Hook-Secret: b537207f20cbfa02357cf448134da559e8bd39d61597dcd5631b8012eae53e81 ``` ``` # Handshake response sent by example.com HTTP/1.1 200 X-Hook-Secret: b537207f20cbfa02357cf448134da559e8bd39d61597dcd5631b8012eae53e81 ``` ``` # Response HTTP/1.1 201 { "data": { "gid": "43214", "resource": { "gid": "8675309", "name": "Bugs" }, "target": "https://example.com/receive-webhook/7654", "active": false, "last_success_at": null, "last_failure_at": null, "last_failure_content": null }, "X-Hook-Secret": "b537207f20cbfa02357cf448134da559e8bd39d61597dcd5631b8012eae53e81" } ```需要连接1 scope
<b>Required scope: </b><code>webhooks:write</code> Establishing a webhook is a two-part process. First, a simple HTTP POST request initiates the creation similar to creating any other resource. Next, in the middle of this request comes the confirmation handshake. When a webhook is created, we will send a test POST to the target with an `X-Hook-Secret` header. The target must respond with a `200 OK` or `204 No Content` and a matching `X-Hook-Secret` header to confirm that this webhook subscription is indeed expected. We strongly recommend storing this secret to be used to verify future webhook event signatures. The POST request to create the webhook will then return with the status of the request. If you do not acknowledge the webhook’s confirmation handshake it will fail to setup, and you will receive an error in response to your attempt to create it. This means you need to be able to receive and complete the webhook *while* the POST request is in-flight (in other words, have a server that can handle requests asynchronously). Invalid hostnames like localhost will receive a 403 Forbidden status code. ``` # Request curl -H "Authorization: Bearer <personal_access_token>" \ -X POST https://app.asana.com/api/1.0/webhooks \ -d "resource=8675309" \ -d "target=https://example.com/receive-webhook/7654" ``` ``` # Handshake sent to https://example.com/ POST /receive-webhook/7654 X-Hook-Secret: b537207f20cbfa02357cf448134da559e8bd39d61597dcd5631b8012eae53e81 ``` ``` # Handshake response sent by example.com HTTP/1.1 200 X-Hook-Secret: b537207f20cbfa02357cf448134da559e8bd39d61597dcd5631b8012eae53e81 ``` ``` # Response HTTP/1.1 201 { "data": { "gid": "43214", "resource": { "gid": "8675309", "name": "Bugs" }, "target": "https://example.com/receive-webhook/7654", "active": false, "last_success_at": null, "last_failure_at": null, "last_failure_content": null }, "X-Hook-Secret": "b537207f20cbfa02357cf448134da559e8bd39d61597dcd5631b8012eae53e81" } ```
认证
需要 Connected AccountScopes
webhooks:writeTags
Delete an allocationASANA_DELETE_ALLOCATIONA specific, existing allocation can be deleted by making a DELETE request on the URL for that allocation. Returns an empty data record.需要连接
A specific, existing allocation can be deleted by making a DELETE request on the URL for that allocation. Returns an empty data record.
认证
需要 Connected AccountTags
Delete an attachmentASANA_DELETE_ATTACHMENT<b>Required scope: </b><code>attachments:delete</code> Deletes a specific, existing attachment. Returns an empty data record.需要连接1 scope
<b>Required scope: </b><code>attachments:delete</code> Deletes a specific, existing attachment. Returns an empty data record.
认证
需要 Connected AccountScopes
attachments:deleteTags
Delete a budgetASANA_DELETE_BUDGETA specific, existing budget can be deleted by making a DELETE request on the URL for that budget. Returns an empty data record.需要连接
A specific, existing budget can be deleted by making a DELETE request on the URL for that budget. Returns an empty data record.
认证
需要 Connected AccountTags
Delete a custom fieldASANA_DELETE_CUSTOM_FIELDA specific, existing custom field can be deleted by making a DELETE request on the URL for that custom field. Locked custom fields can only be deleted by the user who locked the field. Returns an empty data record.需要连接
A specific, existing custom field can be deleted by making a DELETE request on the URL for that custom field. Locked custom fields can only be deleted by the user who locked the field. Returns an empty data record.
认证
需要 Connected AccountTags
Delete a goalASANA_DELETE_GOALA specific, existing goal can be deleted by making a DELETE request on the URL for that goal. Returns an empty data record.需要连接
A specific, existing goal can be deleted by making a DELETE request on the URL for that goal. Returns an empty data record.
认证
需要 Connected AccountTags
Delete a membershipASANA_DELETE_MEMBERSHIPA specific, existing membership for a `goal`, `project`, `portfolio`, `custom_type`, or `custom_field` can be deleted by making a `DELETE` request on the URL for that membership. Returns an empty data record.需要连接
A specific, existing membership for a `goal`, `project`, `portfolio`, `custom_type`, or `custom_field` can be deleted by making a `DELETE` request on the URL for that membership. Returns an empty data record.
认证
需要 Connected AccountTags
Delete an OOO entryASANA_DELETE_OOO_ENTRY<b>Required scope: </b><code>ooo_entries:delete</code> A specific, existing OOO entry can be deleted by making a DELETE request on the URL for that OOO entry. Returns an empty data record.需要连接1 scope
<b>Required scope: </b><code>ooo_entries:delete</code> A specific, existing OOO entry can be deleted by making a DELETE request on the URL for that OOO entry. Returns an empty data record.
认证
需要 Connected AccountScopes
ooo_entries:deleteTags
Delete a portfolioASANA_DELETE_PORTFOLIOAn existing portfolio can be deleted by making a DELETE request on the URL for that portfolio. Returns an empty data record.需要连接
An existing portfolio can be deleted by making a DELETE request on the URL for that portfolio. Returns an empty data record.
认证
需要 Connected AccountTags
Delete a projectASANA_DELETE_PROJECT<b>Required scope: </b><code>projects:delete</code> A specific, existing project can be deleted by making a DELETE request on the URL for that project. Returns an empty data record.需要连接1 scope
<b>Required scope: </b><code>projects:delete</code> A specific, existing project can be deleted by making a DELETE request on the URL for that project. Returns an empty data record.
认证
需要 Connected AccountScopes
projects:deleteTags
Delete a project briefASANA_DELETE_PROJECT_BRIEFDeletes a specific, existing project brief. Returns an empty data record.需要连接
Deletes a specific, existing project brief. Returns an empty data record.
认证
需要 Connected AccountTags
Delete a project statusASANA_DELETE_PROJECT_STATUS*Deprecated: new integrations should prefer the `/status_updates/{status_gid}` route.* Deletes a specific, existing project status update. Returns an empty data record.需要连接
*Deprecated: new integrations should prefer the `/status_updates/{status_gid}` route.* Deletes a specific, existing project status update. Returns an empty data record.
认证
需要 Connected AccountTags
Delete a project templateASANA_DELETE_PROJECT_TEMPLATEA specific, existing project template can be deleted by making a DELETE request on the URL for that project template. Returns an empty data record.需要连接
A specific, existing project template can be deleted by making a DELETE request on the URL for that project template. Returns an empty data record.
认证
需要 Connected AccountTags
Delete a rateASANA_DELETE_RATEDeletes a rate.需要连接
Deletes a rate.
认证
需要 Connected AccountTags
Delete a roleASANA_DELETE_ROLE<b>Required scope: </b><code>roles:delete</code> Deletes a role from a workspace.需要连接1 scope
<b>Required scope: </b><code>roles:delete</code> Deletes a role from a workspace.
认证
需要 Connected AccountScopes
roles:deleteTags
Delete a sectionASANA_DELETE_SECTIONA specific, existing section can be deleted by making a DELETE request on the URL for that section. Note that sections must be empty to be deleted. The last remaining section cannot be deleted. Returns an empty data block.需要连接
A specific, existing section can be deleted by making a DELETE request on the URL for that section. Note that sections must be empty to be deleted. The last remaining section cannot be deleted. Returns an empty data block.
认证
需要 Connected AccountTags
Delete a status updateASANA_DELETE_STATUSDeletes a specific, existing status update. Returns an empty data record.需要连接
Deletes a specific, existing status update. Returns an empty data record.
认证
需要 Connected AccountTags
Delete a storyASANA_DELETE_STORY<b>Required scope: </b><code>stories:delete</code> Deletes a story. A user can only delete stories they have created. Returns an empty data record.需要连接1 scope
<b>Required scope: </b><code>stories:delete</code> Deletes a story. A user can only delete stories they have created. Returns an empty data record.
认证
需要 Connected AccountScopes
stories:deleteTags
Delete a tagASANA_DELETE_TAGA specific, existing tag can be deleted by making a DELETE request on the URL for that tag. Returns an empty data record.需要连接
A specific, existing tag can be deleted by making a DELETE request on the URL for that tag. Returns an empty data record.
认证
需要 Connected AccountTags
Delete a taskASANA_DELETE_TASK<b>Required scope: </b><code>tasks:delete</code> A specific, existing task can be deleted by making a DELETE request on the URL for that task. Deleted tasks go into the “trash” of the user making the delete request. Tasks can be recovered from the trash within a period of 30 days; afterward they are completely removed from the system. Returns an empty data record.需要连接1 scope
<b>Required scope: </b><code>tasks:delete</code> A specific, existing task can be deleted by making a DELETE request on the URL for that task. Deleted tasks go into the “trash” of the user making the delete request. Tasks can be recovered from the trash within a period of 30 days; afterward they are completely removed from the system. Returns an empty data record.
认证
需要 Connected AccountScopes
tasks:deleteTags
Delete a task templateASANA_DELETE_TASK_TEMPLATEA specific, existing task template can be deleted by making a DELETE request on the URL for that task template. Returns an empty data record.需要连接
A specific, existing task template can be deleted by making a DELETE request on the URL for that task template. Returns an empty data record.
认证
需要 Connected AccountTags
Delete a time tracking categoryASANA_DELETE_TIME_TRACKING_CATEGORY<b>Required scope: </b><code>time_tracking_categories:delete</code> Deletes a specific, existing time tracking category. Returns an empty data record.需要连接1 scope
<b>Required scope: </b><code>time_tracking_categories:delete</code> Deletes a specific, existing time tracking category. Returns an empty data record.
认证
需要 Connected AccountScopes
time_tracking_categories:deleteTags
Delete a time tracking entryASANA_DELETE_TIME_TRACKING_ENTRYA specific, existing time tracking entry can be deleted by making a `DELETE` request on the URL for that time tracking entry. Returns an empty data record. #### Access requirements This endpoint is available only when time tracking is available through the domain's plan or add-ons. A request from a domain without time tracking access returns a `402 Payment Required` error.需要连接
A specific, existing time tracking entry can be deleted by making a `DELETE` request on the URL for that time tracking entry. Returns an empty data record. #### Access requirements This endpoint is available only when time tracking is available through the domain's plan or add-ons. A request from a domain without time tracking access returns a `402 Payment Required` error.
认证
需要 Connected AccountTags
Delete a webhookASANA_DELETE_WEBHOOK<b>Required scope: </b><code>webhooks:delete</code> This method *permanently* removes a webhook. Note that it may be possible to receive a request that was already in flight after deleting the webhook, but no further requests will be issued.需要连接1 scope
<b>Required scope: </b><code>webhooks:delete</code> This method *permanently* removes a webhook. Note that it may be possible to receive a request that was already in flight after deleting the webhook, but no further requests will be issued.
认证
需要 Connected AccountScopes
webhooks:deleteTags
Duplicate a portfolioASANA_DUPLICATE_PORTFOLIO<b>Required scope: </b><code>portfolios:write</code> Creates and returns a job that will asynchronously handle the duplication.需要连接1 scope
<b>Required scope: </b><code>portfolios:write</code> Creates and returns a job that will asynchronously handle the duplication.
认证
需要 Connected AccountScopes
portfolios:writeTags
Duplicate a projectASANA_DUPLICATE_PROJECT<b>Required scope: </b><code>projects:write</code> Creates and returns a job that will asynchronously handle the duplication.需要连接1 scope
<b>Required scope: </b><code>projects:write</code> Creates and returns a job that will asynchronously handle the duplication.
认证
需要 Connected AccountScopes
projects:writeTags
Duplicate a taskASANA_DUPLICATE_TASK<b>Required scope: </b><code>tasks:write</code> Creates and returns a job that will asynchronously handle the duplication.需要连接1 scope
<b>Required scope: </b><code>tasks:write</code> Creates and returns a job that will asynchronously handle the duplication.
认证
需要 Connected AccountScopes
tasks:writeTags
Get access requestsASANA_GET_ACCESS_REQUESTSReturns the pending access requests for a target object or a target object filtered by user.需要连接
Returns the pending access requests for a target object or a target object filtered by user.
认证
需要 Connected AccountTags
Get an agentASANA_GET_AGENTReturns the complete record for a single agent (AI Teammate).需要连接
Returns the complete record for a single agent (AI Teammate).
认证
需要 Connected AccountTags
Get a list of agents in a workspaceASANA_GET_AGENTS_FOR_WORKSPACEReturns the compact records of agents (AI Teammates) configured. Use `opt_fields` to request additional fields in the workspace.需要连接
Returns the compact records of agents (AI Teammates) configured. Use `opt_fields` to request additional fields in the workspace.
认证
需要 Connected AccountTags
Get AI Studio credit utilizationASANA_GET_AI_STUDIO_RUNSReturns one row per AI Studio run (rule execution) for the workspace, in ascending order (oldest first) so that incremental consumers can poll forward. Each row describes what ran, who it is attributed to, the model used, and the credits consumed. Credit data is available from January 8th, 2025 onward, and is queryable for the full history since then (there is no limit on how far back you can query). A `start_at` earlier than January 8th, 2025 is silently clamped; it is not an error. The list is always [paginated](/docs/pagination). When more results exist, the response includes a `next_page` with an `offset` that can be used to retrieve the next set of rows. The row `gid` is stable and can be used to de-duplicate rows across incremental loads. This endpoint is restricted to [service accounts](https://help.asana.com/s/article/service-accounts) in organizations licensed for AI Studio.需要连接
Returns one row per AI Studio run (rule execution) for the workspace, in ascending order (oldest first) so that incremental consumers can poll forward. Each row describes what ran, who it is attributed to, the model used, and the credits consumed. Credit data is available from January 8th, 2025 onward, and is queryable for the full history since then (there is no limit on how far back you can query). A `start_at` earlier than January 8th, 2025 is silently clamped; it is not an error. The list is always [paginated](/docs/pagination). When more results exist, the response includes a `next_page` with an `offset` that can be used to retrieve the next set of rows. The row `gid` is stable and can be used to de-duplicate rows across incremental loads. This endpoint is restricted to [service accounts](https://help.asana.com/s/article/service-accounts) in organizations licensed for AI Studio.
认证
需要 Connected AccountTags
Get AI Studio seatsASANA_GET_AI_STUDIO_SEATSReturns a current snapshot of AI Studio seat allocations for the workspace — who has access, at what license tier, and the state of each seat. This is a point-in-time snapshot; customers build their own history tables on top of periodic pulls. The list is always [paginated](/docs/pagination). When more results exist, the response includes a `next_page` with an `offset` that can be used to retrieve the next set of rows. This endpoint is restricted to [service accounts](https://help.asana.com/s/article/service-accounts) in organizations licensed for AI Studio.需要连接
Returns a current snapshot of AI Studio seat allocations for the workspace — who has access, at what license tier, and the state of each seat. This is a point-in-time snapshot; customers build their own history tables on top of periodic pulls. The list is always [paginated](/docs/pagination). When more results exist, the response includes a `next_page` with an `offset` that can be used to retrieve the next set of rows. This endpoint is restricted to [service accounts](https://help.asana.com/s/article/service-accounts) in organizations licensed for AI Studio.
认证
需要 Connected AccountTags
Get an allocationASANA_GET_ALLOCATIONReturns the complete allocation record for a single allocation.需要连接
Returns the complete allocation record for a single allocation.
认证
需要 Connected AccountTags
Get multiple allocationsASANA_GET_ALLOCATIONSReturns a list of allocations filtered to a specific project, user or placeholder.需要连接
Returns a list of allocations filtered to a specific project, user or placeholder.
认证
需要 Connected AccountTags
Get an attachmentASANA_GET_ATTACHMENT<b>Required scope: </b><code>attachments:read</code> Get the full record for a single attachment.需要连接1 scope
<b>Required scope: </b><code>attachments:read</code> Get the full record for a single attachment.
认证
需要 Connected AccountScopes
attachments:readTags
Get attachments from an objectASANA_GET_ATTACHMENTS_FOR_OBJECT<b>Required scope: </b><code>attachments:read</code> Returns the compact records for all attachments on the object. There are three possible `parent` values for this request: `project`, `project_brief`, and `task`. For a project, an attachment refers to a file uploaded to the "Key resources" section in the project Overview. For a project brief, an attachment refers to inline files in the project brief itself. For a task, an attachment refers to a file directly associated to that task. Note that within the Asana app, inline images in the task description do not appear in the index of image thumbnails nor as stories in the task. However, requests made to `GET /attachments` for a task will return all of the images in the task, including inline images.需要连接1 scope
<b>Required scope: </b><code>attachments:read</code> Returns the compact records for all attachments on the object. There are three possible `parent` values for this request: `project`, `project_brief`, and `task`. For a project, an attachment refers to a file uploaded to the "Key resources" section in the project Overview. For a project brief, an attachment refers to inline files in the project brief itself. For a task, an attachment refers to a file directly associated to that task. Note that within the Asana app, inline images in the task description do not appear in the index of image thumbnails nor as stories in the task. However, requests made to `GET /attachments` for a task will return all of the images in the task, including inline images.
认证
需要 Connected AccountScopes
attachments:readTags
Get audit log eventsASANA_GET_AUDIT_LOG_EVENTSRetrieve the audit log events that have been captured in your domain. This endpoint will return a list of [AuditLogEvent](/reference/audit-log-api) objects, sorted by creation time in ascending order. Note that the Audit Log API captures events from October 8th, 2021 and later. Queries for events before this date will not return results. There are a number of query parameters (below) that can be used to filter the set of [AuditLogEvent](/reference/audit-log-api) objects that are returned in the response. Any combination of query parameters is valid. When no filters are provided, all of the events that have been captured in your domain will match. The list of events will always be [paginated](/docs/pagination). The default limit is 1000 events. The next set of events can be retrieved using the `offset` from the previous response. If there are no events that match the provided filters in your domain, the endpoint will return `null` for the `next_page` field. Querying again with the same filters may return new events if they were captured after the last request. Once a response includes a `next_page` with an `offset`, subsequent requests can be made with the latest `offset` to poll for new events that match the provided filters. *Note: If the filters you provided match events in your domain and `next_page` is present in the response, we will continue to send `next_page` on subsequent requests even when there are no more events that match the filters. This was put in place so that you can implement an audit log stream that will return future events that match these filters. If you are not interested in future events that match the filters you have defined, you can rely on checking empty `data` response for the end of current events that match your filters.* When no `offset` is provided, the response will begin with the oldest events that match the provided filters. It is important to note that [AuditLogEvent](/reference/audit-log-api) objects will be permanently deleted from our systems after 90 days. If you wish to keep a permanent record of these events, we recommend using a SIEM tool to ingest and store these logs.需要连接
Retrieve the audit log events that have been captured in your domain. This endpoint will return a list of [AuditLogEvent](/reference/audit-log-api) objects, sorted by creation time in ascending order. Note that the Audit Log API captures events from October 8th, 2021 and later. Queries for events before this date will not return results. There are a number of query parameters (below) that can be used to filter the set of [AuditLogEvent](/reference/audit-log-api) objects that are returned in the response. Any combination of query parameters is valid. When no filters are provided, all of the events that have been captured in your domain will match. The list of events will always be [paginated](/docs/pagination). The default limit is 1000 events. The next set of events can be retrieved using the `offset` from the previous response. If there are no events that match the provided filters in your domain, the endpoint will return `null` for the `next_page` field. Querying again with the same filters may return new events if they were captured after the last request. Once a response includes a `next_page` with an `offset`, subsequent requests can be made with the latest `offset` to poll for new events that match the provided filters. *Note: If the filters you provided match events in your domain and `next_page` is present in the response, we will continue to send `next_page` on subsequent requests even when there are no more events that match the filters. This was put in place so that you can implement an audit log stream that will return future events that match these filters. If you are not interested in future events that match the filters you have defined, you can rely on checking empty `data` response for the end of current events that match your filters.* When no `offset` is provided, the response will begin with the oldest events that match the provided filters. It is important to note that [AuditLogEvent](/reference/audit-log-api) objects will be permanently deleted from our systems after 90 days. If you wish to keep a permanent record of these events, we recommend using a SIEM tool to ingest and store these logs.
认证
需要 Connected AccountTags
Get a budgetASANA_GET_BUDGETReturns the complete budget record for a single budget.需要连接
Returns the complete budget record for a single budget.
认证
需要 Connected AccountTags
Get all budgetsASANA_GET_BUDGETSGets all budgets for a given *parent*. This will at most return a list of size 1 for a given *parent*.需要连接
Gets all budgets for a given *parent*. This will at most return a list of size 1 for a given *parent*.
认证
需要 Connected AccountTags
Get a custom fieldASANA_GET_CUSTOM_FIELD<b>Required scope: </b><code>custom_fields:read</code> Get the complete definition of a custom field’s metadata. Since custom fields can be defined for one of a number of types, and these types have different data and behaviors, there are fields that are relevant to a particular type. For instance, as noted above, enum_options is only relevant for the enum type and defines the set of choices that the enum could represent. The examples below show some of these type-specific custom field definitions.需要连接1 scope
<b>Required scope: </b><code>custom_fields:read</code> Get the complete definition of a custom field’s metadata. Since custom fields can be defined for one of a number of types, and these types have different data and behaviors, there are fields that are relevant to a particular type. For instance, as noted above, enum_options is only relevant for the enum type and defines the set of choices that the enum could represent. The examples below show some of these type-specific custom field definitions.
认证
需要 Connected AccountScopes
custom_fields:readTags
Get a goal's custom fieldsASANA_GET_CUSTOM_FIELD_SETTINGS_FOR_GOAL<b>Required scope: </b><code>goals:read</code> Returns a list of all of the custom fields settings on a goal, in compact form. Note that, as in all queries to collections which return compact representation, `opt_fields` can be used to include more data than is returned in the compact representation. See the [documentation for input/output options](https://developers.asana.com/docs/inputoutput-options) for more information.需要连接1 scope
<b>Required scope: </b><code>goals:read</code> Returns a list of all of the custom fields settings on a goal, in compact form. Note that, as in all queries to collections which return compact representation, `opt_fields` can be used to include more data than is returned in the compact representation. See the [documentation for input/output options](https://developers.asana.com/docs/inputoutput-options) for more information.
认证
需要 Connected AccountScopes
goals:readTags
Get a portfolio's custom fieldsASANA_GET_CUSTOM_FIELD_SETTINGS_FOR_PORTFOLIO<b>Required scope: </b><code>portfolios:read</code> Returns a list of all of the custom fields settings on a portfolio, in compact form.需要连接1 scope
<b>Required scope: </b><code>portfolios:read</code> Returns a list of all of the custom fields settings on a portfolio, in compact form.
认证
需要 Connected AccountScopes
portfolios:readTags
Get a project's custom fieldsASANA_GET_CUSTOM_FIELD_SETTINGS_FOR_PROJECT<b>Required scope: </b><code>projects:read</code> Returns a list of all of the custom fields settings on a project, in compact form. Note that, as in all queries to collections which return compact representation, `opt_fields` can be used to include more data than is returned in the compact representation. See the [documentation for input/output options](https://developers.asana.com/docs/inputoutput-options) for more information.需要连接1 scope
<b>Required scope: </b><code>projects:read</code> Returns a list of all of the custom fields settings on a project, in compact form. Note that, as in all queries to collections which return compact representation, `opt_fields` can be used to include more data than is returned in the compact representation. See the [documentation for input/output options](https://developers.asana.com/docs/inputoutput-options) for more information.
认证
需要 Connected AccountScopes
projects:readTags
Get a team's custom fieldsASANA_GET_CUSTOM_FIELD_SETTINGS_FOR_TEAM<b>Required scope: </b><code>teams:read</code> Returns a list of all of the custom fields settings on a team, in compact form. Note that, as in all queries to collections which return compact representation, `opt_fields` can be used to include more data than is returned in the compact representation. See the [documentation for input/output options](https://developers.asana.com/docs/inputoutput-options) for more information.需要连接1 scope
<b>Required scope: </b><code>teams:read</code> Returns a list of all of the custom fields settings on a team, in compact form. Note that, as in all queries to collections which return compact representation, `opt_fields` can be used to include more data than is returned in the compact representation. See the [documentation for input/output options](https://developers.asana.com/docs/inputoutput-options) for more information.
认证
需要 Connected AccountScopes
teams:readTags
Get a workspace's custom fieldsASANA_GET_CUSTOM_FIELDS_FOR_WORKSPACE<b>Required scope: </b><code>custom_fields:read</code> Returns a list of the compact representation of all of the custom fields in a workspace.需要连接1 scope
<b>Required scope: </b><code>custom_fields:read</code> Returns a list of the compact representation of all of the custom fields in a workspace.
认证
需要 Connected AccountScopes
custom_fields:readTags
Get a custom typeASANA_GET_CUSTOM_TYPEReturns the complete custom type record for a single custom type.需要连接
Returns the complete custom type record for a single custom type.
认证
需要 Connected AccountTags
Get all custom types associated with an objectASANA_GET_CUSTOM_TYPESReturns a list of all of the custom types associated with an object. Currently, only projects are supported. Note that, as in all queries to collections which return compact representation, `opt_fields` can be used to include more data than is returned in the compact representation. See the [documentation for input/output options](https://developers.asana.com/docs/inputoutput-options) for more information.需要连接
Returns a list of all of the custom types associated with an object. Currently, only projects are supported. Note that, as in all queries to collections which return compact representation, `opt_fields` can be used to include more data than is returned in the compact representation. See the [documentation for input/output options](https://developers.asana.com/docs/inputoutput-options) for more information.
认证
需要 Connected AccountTags
Get dependencies from a taskASANA_GET_DEPENDENCIES_FOR_TASK<b>Required scope: </b><code>tasks:read</code> Returns the compact representations of all of the dependencies of a task.需要连接1 scope
<b>Required scope: </b><code>tasks:read</code> Returns the compact representations of all of the dependencies of a task.
认证
需要 Connected AccountScopes
tasks:readTags
Get dependents from a taskASANA_GET_DEPENDENTS_FOR_TASK<b>Required scope: </b><code>tasks:read</code> Returns the compact representations of all of the dependents of a task.需要连接1 scope
<b>Required scope: </b><code>tasks:read</code> Returns the compact representations of all of the dependents of a task.
认证
需要 Connected AccountScopes
tasks:readTags
Get events on a resourceASANA_GET_EVENTSReturns the full record for all events that have occurred since the sync token was created. A `GET` request to the endpoint `/[path_to_resource]/events` can be made in lieu of including the resource ID in the data for the request. Asana limits a single sync token to 100 events. If more than 100 events exist for a given resource, `has_more: true` will be returned in the response, indicating that there are more events to pull. *Note: The resource returned will be the resource that triggered the event. This may be different from the one that the events were requested for. For example, a subscription to a project will contain events for tasks contained within the project.*需要连接
Returns the full record for all events that have occurred since the sync token was created. A `GET` request to the endpoint `/[path_to_resource]/events` can be made in lieu of including the resource ID in the data for the request. Asana limits a single sync token to 100 events. If more than 100 events exist for a given resource, `has_more: true` will be returned in the response, indicating that there are more events to pull. *Note: The resource returned will be the resource that triggered the event. This may be different from the one that the events were requested for. For example, a subscription to a project will contain events for tasks contained within the project.*
认证
需要 Connected AccountTags
Get a user's favoritesASANA_GET_FAVORITES_FOR_USER<b>Required scope: </b><code>users:read</code> Returns all of a user's favorites within a specified workspace and of a given type. The results are ordered exactly as they appear in the user's Asana sidebar in the web application. Note that this endpoint currently only returns favorites for the current user (i.e., the user associated with the authentication token).需要连接1 scope
<b>Required scope: </b><code>users:read</code> Returns all of a user's favorites within a specified workspace and of a given type. The results are ordered exactly as they appear in the user's Asana sidebar in the web application. Note that this endpoint currently only returns favorites for the current user (i.e., the user associated with the authentication token).
认证
需要 Connected AccountScopes
users:readTags
Get a goalASANA_GET_GOAL<b>Required scope: </b><code>goals:read</code> <table> <tr> <th>Field</th> <th>Required Scope</th> </tr> <tr> <td><code>time_period</code></td> <td><code>time_periods:read</code></td> </tr> </table> Returns the complete goal record for a single goal.需要连接1 scope
<b>Required scope: </b><code>goals:read</code> <table> <tr> <th>Field</th> <th>Required Scope</th> </tr> <tr> <td><code>time_period</code></td> <td><code>time_periods:read</code></td> </tr> </table> Returns the complete goal record for a single goal.
认证
需要 Connected AccountScopes
goals:readTags
Get a goal relationshipASANA_GET_GOAL_RELATIONSHIPReturns the complete updated goal relationship record for a single goal relationship.需要连接
Returns the complete updated goal relationship record for a single goal relationship.
认证
需要 Connected AccountTags
Get goal relationshipsASANA_GET_GOAL_RELATIONSHIPSReturns compact goal relationship records.需要连接
Returns compact goal relationship records.
认证
需要 Connected AccountTags
Get goalsASANA_GET_GOALS<b>Required scope: </b><code>goals:read</code> Returns compact goal records.需要连接1 scope
<b>Required scope: </b><code>goals:read</code> Returns compact goal records.
认证
需要 Connected AccountScopes
goals:readTags
Get portfolio itemsASANA_GET_ITEMS_FOR_PORTFOLIO<b>Required scope: </b><code>portfolios:read</code> Get a list of the items in compact form in a portfolio.需要连接1 scope
<b>Required scope: </b><code>portfolios:read</code> Get a list of the items in compact form in a portfolio.
认证
需要 Connected AccountScopes
portfolios:readTags
Get a job by idASANA_GET_JOB<b>Required scope: </b><code>jobs:read</code> <table> <tr> <th>Field</th> <th>Required Scope</th> </tr> <tr> <td><code>new_task_template</code></td> <td><code>task_templates:read</code></td> </tr> <tr> <td><code>new_portfolio</code></td> <td><code>portfolios:read</code></td> </tr> <tr> <td><code>new_project</code></td> <td><code>projects:read</code></td> </tr> <tr> <td><code>new_task</code></td> <td><code>tasks:read</code></td> </tr> <tr> <td><code>new_project_template</code></td> <td><code>project_templates:read</code></td> </tr> </table> Returns the full record for a job.需要连接1 scope
<b>Required scope: </b><code>jobs:read</code> <table> <tr> <th>Field</th> <th>Required Scope</th> </tr> <tr> <td><code>new_task_template</code></td> <td><code>task_templates:read</code></td> </tr> <tr> <td><code>new_portfolio</code></td> <td><code>portfolios:read</code></td> </tr> <tr> <td><code>new_project</code></td> <td><code>projects:read</code></td> </tr> <tr> <td><code>new_task</code></td> <td><code>tasks:read</code></td> </tr> <tr> <td><code>new_project_template</code></td> <td><code>project_templates:read</code></td> </tr> </table> Returns the full record for a job.
认证
需要 Connected AccountScopes
jobs:readTags
Get a membershipASANA_GET_MEMBERSHIPReturns a `project_membership`, `goal_membership`, `portfolio_membership`, `custom_type_membership`, or `custom_field_membership` record for a membership id.需要连接
Returns a `project_membership`, `goal_membership`, `portfolio_membership`, `custom_type_membership`, or `custom_field_membership` record for a membership id.
认证
需要 Connected AccountTags
Get multiple membershipsASANA_GET_MEMBERSHIPSReturns compact `goal_membership`, `project_membership`, `portfolio_membership`, `custom_type_membership`, or `custom_field_membership` records. The possible types for `parent` in this request are `goal`, `project`, `portfolio`, `custom_type`, or `custom_field`. An additional member (user GID or team GID) can be passed in to filter to a specific membership. Alternatively, when `parent` is absent, you can use the `member` and `resource_subtype` parameters together to fetch all memberships of a specific type for a given member. For example, passing `member` as a team GID and `resource_subtype` as `project_membership` will return all project memberships for that team.需要连接
Returns compact `goal_membership`, `project_membership`, `portfolio_membership`, `custom_type_membership`, or `custom_field_membership` records. The possible types for `parent` in this request are `goal`, `project`, `portfolio`, `custom_type`, or `custom_field`. An additional member (user GID or team GID) can be passed in to filter to a specific membership. Alternatively, when `parent` is absent, you can use the `member` and `resource_subtype` parameters together to fetch all memberships of a specific type for a given member. For example, passing `member` as a team GID and `resource_subtype` as `project_membership` will return all project memberships for that team.
认证
需要 Connected AccountTags
Get OOO entries for a userASANA_GET_OOO_ENTRIES<b>Required scope: </b><code>ooo_entries:read</code> Returns a list of OOO entries for the specified user.需要连接1 scope
<b>Required scope: </b><code>ooo_entries:read</code> Returns a list of OOO entries for the specified user.
认证
需要 Connected AccountScopes
ooo_entries:readTags
Get an OOO entryASANA_GET_OOO_ENTRY<b>Required scope: </b><code>ooo_entries:read</code> Returns the complete OOO entry record for a single OOO entry.需要连接1 scope
<b>Required scope: </b><code>ooo_entries:read</code> Returns the complete OOO entry record for a single OOO entry.
认证
需要 Connected AccountScopes
ooo_entries:readTags
Get details on an org export requestASANA_GET_ORGANIZATION_EXPORTReturns details of a previously-requested Organization export.需要连接
Returns details of a previously-requested Organization export.
认证
需要 Connected AccountTags
Get parent goals from a goalASANA_GET_PARENT_GOALS_FOR_GOAL<b>Required scope: </b><code>goals:read</code> Returns a compact representation of all of the parent goals of a goal.需要连接1 scope
<b>Required scope: </b><code>goals:read</code> Returns a compact representation of all of the parent goals of a goal.
认证
需要 Connected AccountScopes
goals:readTags
Get a portfolioASANA_GET_PORTFOLIO<b>Required scope: </b><code>portfolios:read</code> Returns the complete portfolio record for a single portfolio.需要连接1 scope
<b>Required scope: </b><code>portfolios:read</code> Returns the complete portfolio record for a single portfolio.
认证
需要 Connected AccountScopes
portfolios:readTags
Get a portfolio membershipASANA_GET_PORTFOLIO_MEMBERSHIPReturns the complete portfolio record for a single portfolio membership.需要连接
Returns the complete portfolio record for a single portfolio membership.
认证
需要 Connected AccountTags
Get multiple portfolio membershipsASANA_GET_PORTFOLIO_MEMBERSHIPSReturns a list of portfolio memberships in compact representation. You must specify `portfolio`, `portfolio` and `user`, or `workspace` and `user`.需要连接
Returns a list of portfolio memberships in compact representation. You must specify `portfolio`, `portfolio` and `user`, or `workspace` and `user`.
认证
需要 Connected AccountTags
Get memberships from a portfolioASANA_GET_PORTFOLIO_MEMBERSHIPS_FOR_PORTFOLIOReturns the compact portfolio membership records for the portfolio.需要连接
Returns the compact portfolio membership records for the portfolio.
认证
需要 Connected AccountTags
Get multiple portfoliosASANA_GET_PORTFOLIOS<b>Required scope: </b><code>portfolios:read</code> Returns a list of the portfolios in compact representation. The portfolios are filtered based on the following criteria: - If the request is made from a regular API user (PAT or OAuth), then only portfolios owned by the current API user are returned. - If the request is made from a Service Account without the `owner` parameter, then all portfolios across the workspace are returned. - If the request is made from a Service Account with the `owner` parameter, then only portfolios owned by the specified user are returned.需要连接1 scope
<b>Required scope: </b><code>portfolios:read</code> Returns a list of the portfolios in compact representation. The portfolios are filtered based on the following criteria: - If the request is made from a regular API user (PAT or OAuth), then only portfolios owned by the current API user are returned. - If the request is made from a Service Account without the `owner` parameter, then all portfolios across the workspace are returned. - If the request is made from a Service Account with the `owner` parameter, then only portfolios owned by the specified user are returned.
认证
需要 Connected AccountScopes
portfolios:readTags
Get a projectASANA_GET_PROJECT<b>Required scope: </b><code>projects:read</code> <table> <tr> <th>Field</th> <th>Required Scope</th> </tr> <tr> <td><code>team</code></td> <td><code>teams:read</code></td> </tr> </table> Returns the complete project record for a single project.需要连接1 scope
<b>Required scope: </b><code>projects:read</code> <table> <tr> <th>Field</th> <th>Required Scope</th> </tr> <tr> <td><code>team</code></td> <td><code>teams:read</code></td> </tr> </table> Returns the complete project record for a single project.
认证
需要 Connected AccountScopes
projects:readTags
Get a project briefASANA_GET_PROJECT_BRIEFGet the full record for a project brief.需要连接
Get the full record for a project brief.
认证
需要 Connected AccountTags
Get a project membershipASANA_GET_PROJECT_MEMBERSHIPReturns the complete project record for a single project membership.需要连接
Returns the complete project record for a single project membership.
认证
需要 Connected AccountTags
Get memberships from a projectASANA_GET_PROJECT_MEMBERSHIPS_FOR_PROJECTReturns the compact project membership records for the project.需要连接
Returns the compact project membership records for the project.
认证
需要 Connected AccountTags
Get a project portfolio settingASANA_GET_PROJECT_PORTFOLIO_SETTING<b>Required scope: </b><code>project_portfolio_settings:read</code> Returns the complete project portfolio setting record for a single project portfolio setting.需要连接1 scope
<b>Required scope: </b><code>project_portfolio_settings:read</code> Returns the complete project portfolio setting record for a single project portfolio setting.
认证
需要 Connected AccountScopes
project_portfolio_settings:readTags
Get project portfolio settings for a portfolioASANA_GET_PROJECT_PORTFOLIO_SETTINGS_FOR_PORTFOLIO<b>Required scope: </b><code>project_portfolio_settings:read</code> Returns a compact representation of all of the project portfolio settings for the given portfolio.需要连接1 scope
<b>Required scope: </b><code>project_portfolio_settings:read</code> Returns a compact representation of all of the project portfolio settings for the given portfolio.
认证
需要 Connected AccountScopes
project_portfolio_settings:readTags
Get project portfolio settings for a projectASANA_GET_PROJECT_PORTFOLIO_SETTINGS_FOR_PROJECT<b>Required scope: </b><code>project_portfolio_settings:read</code> Returns a compact representation of all of the project portfolio settings for the given project.需要连接1 scope
<b>Required scope: </b><code>project_portfolio_settings:read</code> Returns a compact representation of all of the project portfolio settings for the given project.
认证
需要 Connected AccountScopes
project_portfolio_settings:readTags
Get a project statusASANA_GET_PROJECT_STATUS*Deprecated: new integrations should prefer the `/status_updates/{status_gid}` route.* Returns the complete record for a single status update.需要连接
*Deprecated: new integrations should prefer the `/status_updates/{status_gid}` route.* Returns the complete record for a single status update.
认证
需要 Connected AccountTags
Get statuses from a projectASANA_GET_PROJECT_STATUSES_FOR_PROJECT*Deprecated: new integrations should prefer the `/status_updates` route.* Returns the compact project status update records for all updates on the project.需要连接
*Deprecated: new integrations should prefer the `/status_updates` route.* Returns the compact project status update records for all updates on the project.
认证
需要 Connected AccountTags
Get a project templateASANA_GET_PROJECT_TEMPLATE<b>Required scope: </b><code>project_templates:read</code> Returns the complete project template record for a single project template.需要连接1 scope
<b>Required scope: </b><code>project_templates:read</code> Returns the complete project template record for a single project template.
认证
需要 Connected AccountScopes
project_templates:readTags
Get multiple project templatesASANA_GET_PROJECT_TEMPLATES<b>Required scope: </b><code>project_templates:read</code> Returns the compact project template records for all project templates in the given team or workspace.需要连接1 scope
<b>Required scope: </b><code>project_templates:read</code> Returns the compact project template records for all project templates in the given team or workspace.
认证
需要 Connected AccountScopes
project_templates:readTags
Get a team's project templatesASANA_GET_PROJECT_TEMPLATES_FOR_TEAM<b>Required scope: </b><code>project_templates:read</code> Returns the compact project template records for all project templates in the team.需要连接1 scope
<b>Required scope: </b><code>project_templates:read</code> Returns the compact project template records for all project templates in the team.
认证
需要 Connected AccountScopes
project_templates:readTags
Get multiple projectsASANA_GET_PROJECTS<b>Required scope: </b><code>projects:read</code> Returns the compact project records for some filtered set of projects. Use one or more of the parameters provided to filter the projects returned. *Note: This endpoint may timeout for large domains. Try filtering by team!* **The `team` filter is deprecated.** Please use `GET /memberships` with `{ member: team, resource_subtype: project_membership }` to find projects shared with a team.需要连接1 scope
<b>Required scope: </b><code>projects:read</code> Returns the compact project records for some filtered set of projects. Use one or more of the parameters provided to filter the projects returned. *Note: This endpoint may timeout for large domains. Try filtering by team!* **The `team` filter is deprecated.** Please use `GET /memberships` with `{ member: team, resource_subtype: project_membership }` to find projects shared with a team.
认证
需要 Connected AccountScopes
projects:readTags
Get projects a task is inASANA_GET_PROJECTS_FOR_TASK<b>Required scope: </b><code>projects:read</code> Returns a compact representation of all of the projects the task is in.需要连接1 scope
<b>Required scope: </b><code>projects:read</code> Returns a compact representation of all of the projects the task is in.
认证
需要 Connected AccountScopes
projects:readTags
Get a team's projectsASANA_GET_PROJECTS_FOR_TEAM<b>Required scope: </b><code>projects:read</code> Returns the compact project records for all projects in the team.需要连接1 scope
<b>Required scope: </b><code>projects:read</code> Returns the compact project records for all projects in the team.
认证
需要 Connected AccountScopes
projects:readTags
Get all projects in a workspaceASANA_GET_PROJECTS_FOR_WORKSPACE<b>Required scope: </b><code>projects:read</code> Returns the compact project records for all projects in the workspace. *Note: This endpoint may timeout for large domains. To fetch projects shared with a specific team, use `GET /memberships` with `member` set to the team GID and `resource_subtype` set to `project_membership`.*需要连接1 scope
<b>Required scope: </b><code>projects:read</code> Returns the compact project records for all projects in the workspace. *Note: This endpoint may timeout for large domains. To fetch projects shared with a specific team, use `GET /memberships` with `member` set to the team GID and `resource_subtype` set to `project_membership`.*
认证
需要 Connected AccountScopes
projects:readTags
Get a rateASANA_GET_RATEReturns the complete rate record for a single rate.需要连接
Returns the complete rate record for a single rate.
认证
需要 Connected AccountTags
Get multiple ratesASANA_GET_RATESReturns a list of `rate` records. The possible types for `parent` in this request are `project`. An additional `resource` (`user` GID or `placeholder` GID) can be passed in to filter to a specific rate. Modifying placeholder rates is only available for Enterprise and Enterprise+ users.需要连接
Returns a list of `rate` records. The possible types for `parent` in this request are `project`. An additional `resource` (`user` GID or `placeholder` GID) can be passed in to filter to a specific rate. Modifying placeholder rates is only available for Enterprise and Enterprise+ users.
认证
需要 Connected AccountTags
Get reactions with an emoji base on an object.ASANA_GET_REACTIONS_ON_OBJECTReturns the reactions with a specified emoji base character on the object.需要连接
Returns the reactions with a specified emoji base character on the object.
认证
需要 Connected AccountTags
Get a roleASANA_GET_ROLE<b>Required scope: </b><code>roles:read</code> Returns the complete role record for a single role.需要连接1 scope
<b>Required scope: </b><code>roles:read</code> Returns the complete role record for a single role.
认证
需要 Connected AccountScopes
roles:readTags
Get multiple rolesASANA_GET_ROLES<b>Required scope: </b><code>roles:read</code> Returns all RBAC roles for a workspace.需要连接1 scope
<b>Required scope: </b><code>roles:read</code> Returns all RBAC roles for a workspace.
认证
需要 Connected AccountScopes
roles:readTags
Get a sectionASANA_GET_SECTIONReturns the complete record for a single section.需要连接
Returns the complete record for a single section.
认证
需要 Connected AccountTags
Get sections in a projectASANA_GET_SECTIONS_FOR_PROJECTReturns the compact records for all sections in the specified project.需要连接
Returns the compact records for all sections in the specified project.
认证
需要 Connected AccountTags
Get a status updateASANA_GET_STATUSReturns the complete record for a single status update.需要连接
Returns the complete record for a single status update.
认证
需要 Connected AccountTags
Get status updates from an objectASANA_GET_STATUSES_FOR_OBJECTReturns the compact status update records for all updates on the object.需要连接
Returns the compact status update records for all updates on the object.
认证
需要 Connected AccountTags
Get stories from a goalASANA_GET_STORIES_FOR_GOAL<b>Required scope: </b><code>stories:read</code> Returns the compact records for all stories on the goal.需要连接1 scope
<b>Required scope: </b><code>stories:read</code> Returns the compact records for all stories on the goal.
认证
需要 Connected AccountScopes
stories:readTags
Get stories from a taskASANA_GET_STORIES_FOR_TASK<b>Required scope: </b><code>stories:read</code> Returns the compact records for all stories on the task.需要连接1 scope
<b>Required scope: </b><code>stories:read</code> Returns the compact records for all stories on the task.
认证
需要 Connected AccountScopes
stories:readTags
Get a storyASANA_GET_STORY<b>Required scope: </b><code>stories:read</code> <table> <tr> <th>Field</th> <th>Required Scope</th> </tr> <tr> <td><code>previews</code></td> <td><code>attachments:read</code></td> </tr> <tr> <td><code>attachments</code></td> <td><code>attachments:read</code></td> </tr> </table> Returns the full record for a single story.需要连接1 scope
<b>Required scope: </b><code>stories:read</code> <table> <tr> <th>Field</th> <th>Required Scope</th> </tr> <tr> <td><code>previews</code></td> <td><code>attachments:read</code></td> </tr> <tr> <td><code>attachments</code></td> <td><code>attachments:read</code></td> </tr> </table> Returns the full record for a single story.
认证
需要 Connected AccountScopes
stories:readTags
Get subtasks from a taskASANA_GET_SUBTASKS_FOR_TASK<b>Required scope: </b><code>tasks:read</code> Returns a compact representation of all of the subtasks of a task.需要连接1 scope
<b>Required scope: </b><code>tasks:read</code> Returns a compact representation of all of the subtasks of a task.
认证
需要 Connected AccountScopes
tasks:readTags
Get a tagASANA_GET_TAG<b>Required scope: </b><code>tags:read</code> Returns the complete tag record for a single tag.需要连接1 scope
<b>Required scope: </b><code>tags:read</code> Returns the complete tag record for a single tag.
认证
需要 Connected AccountScopes
tags:readTags
Get multiple tagsASANA_GET_TAGS<b>Required scope: </b><code>tags:read</code> Returns the compact tag records for some filtered set of tags. Use one or more of the parameters provided to filter the tags returned.需要连接1 scope
<b>Required scope: </b><code>tags:read</code> Returns the compact tag records for some filtered set of tags. Use one or more of the parameters provided to filter the tags returned.
认证
需要 Connected AccountScopes
tags:readTags
Get a task's tagsASANA_GET_TAGS_FOR_TASK<b>Required scope: </b><code>tags:read</code> Get a compact representation of all of the tags the task has.需要连接1 scope
<b>Required scope: </b><code>tags:read</code> Get a compact representation of all of the tags the task has.
认证
需要 Connected AccountScopes
tags:readTags
Get tags in a workspaceASANA_GET_TAGS_FOR_WORKSPACE<b>Required scope: </b><code>tags:read</code> Returns the compact tag records for some filtered set of tags. Use one or more of the parameters provided to filter the tags returned.需要连接1 scope
<b>Required scope: </b><code>tags:read</code> Returns the compact tag records for some filtered set of tags. Use one or more of the parameters provided to filter the tags returned.
认证
需要 Connected AccountScopes
tags:readTags
Get a taskASANA_GET_TASK<b>Required scope: </b><code>tasks:read</code> <table> <tr> <th>Field</th> <th>Required Scope</th> </tr> <tr> <td><code>memberships</code></td> <td><code>projects:read</code>, <code>project_sections:read</code></td> </tr> <tr> <td><code>actual_time_minutes</code></td> <td><code>time_tracking_entries:read</code></td> </tr> </table> Returns the complete task record for a single task.需要连接1 scope
[...]
